unit
  FRM_CGrid;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Mask, ExtCtrls,

  IB_Session,
  IB_Samples,
  IB_Components,
  IB_CGrid,
  IB_Controls,
  IB_UpdateBar,
  IB_NavigationBar,
  IB_SearchBar,
  IB_DataSetBar;

type
  TfrmCGrid = class(TForm)
    cnCGrid: TIB_Connection;
    qrCGrid: TIB_Query;
    dsCGrid: TIB_DataSource;
    Panel1: TPanel;
    IB_DataSetBar1: TIB_DataSetBar;
    IB_SearchBar1: TIB_SearchBar;
    IB_NavigationBar1: TIB_NavigationBar;
    IB_UpdateBar1: TIB_UpdateBar;
    IB_CtrlGrid1: TIB_CtrlGrid;
    Label1: TLabel;
    Label2: TLabel;
    IB_Memo1: TIB_Memo;
    IB_Edit1: TIB_Edit;
    IB_Edit2: TIB_Edit;
    lbLastInvoice: TLabel;
    IB_Date1: TIB_Date;
    odGDB: TOpenDialog;
    procedure FormCreate(Sender: TObject);
    procedure cnOnConnect(Sender: TIB_Connection);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCGrid: TfrmCGrid;

implementation

{$R *.DFM}

procedure TfrmCGrid.FormCreate(Sender: TObject);
begin
  ReadDefaultPath(cnCGrid,'MastSQLPath');

  qrCGrid.Search;
end;

procedure TfrmCGrid.cnOnConnect(Sender: TIB_Connection);
begin
  WriteDefaultPath;
end;

end.


